package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

public class Tag77BCreator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag77BCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {
        String tag77BValue = mt103STPCreator.getSendertoReceiverInformation();
        mt103STPCreator.set("77B", tag77BValue);
    }
}
